CATMAN(8)

BEZEICHNUNG
catman - erzeugt oder aktualisiert vorformatierte Handbuchseiten

ÜBERSICHT
catman [-d?V] [-M Pfad] [-C Datei] [Abschnitt] ...

BESCHREIBUNG
catman wird benutzt, um einen aktuellen Satz von vorformatierten Handbuchseiten zu erzeugen, die als Cat-Seiten bezeichnet werden. Diese werden wesentlich schneller angezeigt als die unformatierten Handbuchseiten, benötigen aber zusätzlichen Speicherplatz. Die Entscheidung zur Unterstützung von »cat«-Seiten liegt beim lokalen Administrator, der für diese Seiten passende Verzeichnisse bereitstellen muss.

Die Optionen für catman geben an, welche Handbuchseiten-Hierarchien und welche Abschnitte vorformatiert werden sollen. Standard-Hierarchien sind die, die in der Konfigurationsdatei von Man-db als System-Hierarchien festgelegt werden. Die Standard-Abschnitte stehen in der Umgebungsvariable $MANSEC oder sind die in man(1) einkompilierten, wenn $MANSEC nicht definiert ist. Wird catman eine durch Leerräume gegliederte Liste von Abschnittsnamen übergeben, setzt das die oben beschriebenen Standardwerte außer Kraft.

Um die zu formatierenden Dateien zu ermitteln, wertet catman die Index-Datenbankzwischenspeicher der jeweiligen Hierarchien aus.

OPTIONEN

-d, --debug
    Ausgabe von Debug-Informationen

-M Pfad, --manpath=Pfad
    Gibt einen alternativen, durch Doppelpunkte gegliederten Suchpfad für Handbuchseiten-Hierarchien an. Als Standard sind dies alle Pfade, die in der Man-db-Konfigurationsdatei als systemweit gültig deklariert sind.

-C Datei, --config-file=Datei
    Verwendung dieser benutzerspezifischen Konfigurationsdatei an Stelle der Vorgabe ~/.manpath

-?, --help
    Hilfetext anzeigen und beenden

--usage
    zeigt eine kurze Anwendungszusammenfassung an und beendet das Programm.

-V, --version
    Versionsinformation anzeigen und beenden

UMGEBUNGSVARIABLEN

MANSECT
    Wenn $MANSECT gesetzt ist, wird ihr Wert als eine durch Doppelpunkte gegliederte Liste von Abschnitten interpretiert und dazu benutzt, die zu durchsuchenden Abschnitte und deren Reihenfolge zu bestimmen. Die Vorgabe ist »1 n l 8 3 0 2 3type 3posix 3pm 3perl 3am 5 4 9 6 7«, es sei denn, dies wird durch die SECTION-Anweisung in /etc/manpath.config außer Kraft gesetzt.

MANPATH
    Wenn $MANPATH gesetzt ist, wird ihr Wert als der mit Kommas getrennte anzuwendende Hierarchie-Suchpfad für Handbuchseiten interpretiert.

    Siehe den Abschnitt SUCHPFAD in der Handbuchseite manpath(5) für das Standardverhalten und Details dazu, wie mit dieser Umgebungsvariable umgegangen wird.

DATEIEN

/etc/manpath.config
    Konfigurationsdatei für Man-db

/usr/man/index.(bt|db|dir|pag)
    ein traditioneller, globaler Zwischenspeicher für die Index-Datenbank

/var/catman/index.(bt|db|dir|pag)
    ein alternativer oder FSSTND-konformer, globaler Index-Datenbankzwischenspeicher

SIEHE AUCH
man(1), manpath(5), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

FEHLER
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db